***Pilot randomization***
***5 Feb 2024 - Chris Hoy***

**Import data**
global root "C:/Users/wb614536/OneDrive - WBG/Documents/Reproducibility/172/"
global data "${root}/Reproducible_package_kenya/Data/Final/Pilot"
global myProject "${root}/Reproducible_package_kenya/Data"

sysdir set PLUS "${root}//Reproducible_package_kenya/Code/ado"

import delimited "$data/matched_data_wide_pilot.csv", clear

encode group, generate(group_num)
drop group

***ONLY KEEP CONTROL GROUP FROM PILOT, WE'RE NOT INTERVENING WITH FIRMS THT ALREADY RECEIVED SMS
keep if group_num == 1

count  // 14,855 taxpayers

**Additional coding of variables**

encode station_name, gen(station_name_num)

gen taxregion_mean_monthly_tot_rd = round(taxregion_mean_monthly_tot_paid) 


*****DROP FIRMS IN TOP DECILE WITHIN REGION, THEY WILL NOT BE INCLUDED IN THE EXPERIMENT
drop if decile_within_taxregion_pay == 10

**Randomization**

randtreat, generate(randomized_group) setseed(12345678) strata(station_name_num decile_within_taxregion_pay always_filer) ///
	unequal(3/10 2/10 3/10  2/10)  misfits(wglobal)

export delimited using "$myProject/Final/Experiment/scale_up.csv" , replace
