***Pilot randomization***
***5 Feb 2024 - Chris Hoy***

global root "C:/Users/wb614536/OneDrive - WBG/Documents/Reproducibility/172/"
global myProject "${root}/Reproducible_package_kenya/Data"

sysdir set PLUS "${root}//Reproducible_package_kenya/Code/ado"
set varabbrev on

**Import data**

import delimited "${myProject}/Intermediate/dt_pilot.csv", clear

**Additional coding of variables**

encode station_name, gen(station_name_num)

encode major_profession, gen(major_profession_num)

gen taxregion_mean_monthly_tot_rd = round(taxregion_mean_monthly_tot_paid) 

**Randomization**

randtreat, generate(randomized_group) setseed(123456789) strata(station_name_num decile_within_taxregion_pay always_filer) unequal(4/5 1/20 1/20 1/20 1/20)  misfits(wglobal)

replace randomized_group = 0 if decile == 10

**Export file**

export delimited tax_payer_id randomized_group using "${myProject}/Intermediate/pilot.csv", replace



















